package javax.xml.crypto.dsig;

import java.io.InputStream;
import javax.xml.crypto.Data;
import java.util.List;
import javax.xml.crypto.XMLStructure;
import javax.xml.crypto.URIReference;

public interface Reference extends URIReference, XMLStructure
{
    public abstract List getTransforms();
    
    public abstract DigestMethod getDigestMethod();
    
    public abstract String getId();
    
    public abstract byte[] getDigestValue();
    
    public abstract byte[] getCalculatedDigestValue();
    
    public abstract boolean validate(XMLValidateContext p0) throws XMLSignatureException;
    
    public abstract Data getDereferencedData();
    
    public abstract InputStream getDigestInputStream();
}
